Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020522
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-05-16 09:202012-05-25 13:45
ReporterjonalegriaesarteView Statuspublic 
Assigned Toguilleaer 
PriorityhighResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revision27bdb0877835
ProjectionnoneETAnoneTarget Version3.0MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020522: Attachment icon does not work fine in grid view

DescriptionAttachment icon does not work fine in grid view.
Steps To Reproduce- Business partner window. Select one business partner.
- Attach a file.
- Grid view mode with this business partner selected. The attachment icon is marked as "file attached"
- Select other business partner. The attachment icon is marked as "file attached", but there is no file attached. ERRROR.
- Edit the business partner. The attachment icon changes to "no file attached". OK.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029746 closedcaristu unneded FIC request on record selection in some windows 
related to defect 0037857 closedcaristu Wrong FIC Request after selecting all records in a grid with hundreds of lines 

-  Notes
(0048881)
hgbot (developer)
2012-05-23 11:03

Repository: erp/devel/pi
Changeset: 27bdb08778351c2d7b08529e8a5cde4af31e18fc
Author: Guillermo Álvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed May 23 10:51:52 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/27bdb08778351c2d7b08529e8a5cde4af31e18fc [^]

Fixed issue 20522: After this fix the attachments icon works fine

The attachments icon was failing in tabs with a toolbar without right buttons.
To solve it, the code has been refactored allowing to update the state of attachments icon in all cases.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0048882)
guilleaer (developer)
2012-05-23 11:27

This problem is happening in the tabs which don't have right buttons in the toolbar.
e.g Business partner, UOM

Test plan
---------
Follow the steps to reproduce. The icon should works fine.

This fix is not risky
(0049189)
hudsonbot (developer)
2012-05-25 12:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049213)
AugustoMauch (developer)
2012-05-25 13:45

Code reviewed and verified in pi@4a4ad33e5e27

- Issue History
Date Modified Username Field Change
2012-05-16 09:20 jonalegriaesarte New Issue
2012-05-16 09:20 jonalegriaesarte Assigned To => alostale
2012-05-16 09:20 jonalegriaesarte Modules => Core
2012-05-16 09:25 jonalegriaesarte Issue Monitored: networkb
2012-05-16 09:40 maria_perez Issue Monitored: maria_perez
2012-05-16 10:10 alostale Assigned To alostale => guilleaer
2012-05-23 11:03 hgbot Checkin
2012-05-23 11:03 hgbot Note Added: 0048881
2012-05-23 11:03 hgbot Status new => resolved
2012-05-23 11:03 hgbot Resolution open => fixed
2012-05-23 11:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/27bdb08778351c2d7b08529e8a5cde4af31e18fc [^]
2012-05-23 11:27 guilleaer Note Added: 0048882
2012-05-25 12:13 hudsonbot Checkin
2012-05-25 12:13 hudsonbot Note Added: 0049189
2012-05-25 13:45 AugustoMauch Note Added: 0049213
2012-05-25 13:45 AugustoMauch Status resolved => closed
2012-05-25 13:45 AugustoMauch Fixed in Version => 3.0MP12
2015-11-16 16:57 caristu Relationship added related to 0029746
2018-02-08 10:59 caristu Relationship added related to 0037857


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker